Subject: Re: StGIT: "stg new" vs "stg new --force"

From: "J. Bruce Fields" <[email-masked]>
Date: Fri, 20 Jan 2006 13:22:55 -0500

On Fri, Jan 20, 2006 at 01:23:44AM -0500, Pavel Roskin wrote:
> On Thu, 2006-01-19 at 22:38 +0100, Yann Dirson wrote:
> > That command could be "cat" to get the current "refresh" behaviour, or
> > an editor wrapper acting on stdin/out, or a wrapper to filterdiff, or
> > whatever clever filter one would want to use.
> > 
> > Does it sound better ?
> 
> Yes.  The first step would be to fix "stg refresh --edit --showpatch" to
> actually respect edits made to the patch.

I tend to use stg refresh -es as a quick (well, not quite as quick as
I'd like) way to look at the current patch.  Often I leave it up while
I'm working (editing the patched files).  So if exiting from stg refresh
-es suddenly started overwriting my working files, I'd be very
unhappy....

--b.